<template>
  <v-btn tile color="primary" @click="$router.push('/')" class="mb-4">Back</v-btn>
  <v-card
      class="pa-4"
  >
    <v-btn tile color="primary" class="float-right">Edit</v-btn>
    <v-img
        class="profile-image"
        :src="user.image">
    </v-img>
    <div class="d-flex align-center justify-space-between">
      <div>
        <v-card-title>
          {{ user.lastname }} {{ user.firstname }}
        </v-card-title>
        <v-card-subtitle>
          {{ user.jobPosition }} | {{ user.location }}
        </v-card-subtitle>
      </div>
      <v-btn color="primary">Download CV</v-btn>
    </div>
  </v-card>

  <v-card class="pa-4 mt-5">
    <v-card-title>
      Skills
    </v-card-title>
    <div class="d-flex">
      <v-chip v-for="skill in user.skills" class="ma-2">{{ skill }}</v-chip>
    </div>
  </v-card>


  <v-card class="pa-4 mt-5">
    <v-card-title>
      Experience
    </v-card-title>
    <div>
      <v-card-subtitle v-for="experience in user.experience" class="ma-2">{{ experience }}</v-card-subtitle>
    </div>
  </v-card>

  <v-card class="pa-4 mt-5">
    <v-card-title>
      Language
    </v-card-title>
    <div>
      <v-card-subtitle v-for="lan in user.languages" class="ma-2">{{ lan.language }} - {{ lan.level }}</v-card-subtitle>

    </div>
  </v-card>

  <v-card class="pa-4 mt-5">
    <v-card-title>
      About
    </v-card-title>
    <div>
      <v-card-subtitle class="ma-2">{{ user.about }}</v-card-subtitle>
    </div>
  </v-card>
  <v-card class="pa-4 mt-5">
    <v-card-title>
      Contacts
    </v-card-title>
    <div>
      <v-card-subtitle class="ma-2">Email: {{ user.email }}</v-card-subtitle>
      <v-card-subtitle class="ma-2">Phone: {{ user.phone }}</v-card-subtitle>
    </div>
  </v-card>
</template>

<script>
import usersData from '@/users.json';

export default {
  data(){
    return{
      name: "ProfileItem",
      user: usersData.users[this.$route.params.id],
    }
  },
  mounted() {
    console.log(this.user)
  },
  beforeMount() {
    window.scrollTo(0, 0);
  }

}
</script>

<style scoped>

</style>